#include <iostream>

using namespace std;

int main()
{
	long long int n, k, i, p;
	cin >> n >> k;

	long long int a[20000];
	for (i = 0; i < n; i++)
	{
		cin >> a[i];
		if (a[i] == k)
			p = i;
	}

	cout << a[(p + 1) % n];
}